@import "../../../styles/theme/colors";
@import "../../../styles/theme/variables";
@import "../../../styles/theme/font";
@import "../../../styles/utils/responsive";

.performance-chart {
    box-shadow: 0 3px 11px 0 #e8eafc, 0 3px 3px -2px #b2b2b21a, 0 1px 8px 0 #9a9a9a1a;
    display: flex;
    flex-direction: column;
    height: 19.2rem;
    justify-content: space-between;

    &__header {
        align-items: center;
        color: $grey;
        display: flex;
        justify-content: space-between;

        &-title {
            font-size: 2rem;
            font-weight: 400;
            margin: 0;
            line-height: 4rem;
        }
    }

    &__content {
        display: flex;
        height: 70%;
        flex-direction: column;
        justify-content: space-between;

        &-header {
            display: flex;

            &-item {
                align-items: center;
                display: flex;
                margin-right: 1.6rem;

                &-icon_blue {
                    background-color: $blue;
                    border-radius: 50%;
                    width: 0.5rem;
                    height: 0.5rem;
                }

                &-icon_yellow {
                    background-color: $yellow;
                    border-radius: 50%;
                    width: 0.5rem;
                    height: 0.5rem;
                }

                &-text {
                    margin-left: 0.8rem;
                    color: $grey;
                }
            }
        }
    }

    &__progress-title {
        margin: 2rem 0 0.5rem 0;
        font-weight: 400;
        font-size: $fs-medium;
        color: $grey;
    }

    &__progress-bar {
        margin-bottom: 0.8rem;

        @include respond(phone) {
            margin-bottom: 2rem;
        }
    }
}
